from django.urls import path, register_converter

from . import converters, views

register_converter(converters.FilenamePathConverter, 'filename')


app_name = 'gallery'

urlpatterns = [

    path('', views.AlbumsList.as_view(), name='main_url'),
    path('about/', views.About.as_view(), name='about_url'),
    path('search/', views.Search.as_view(), name='search_url'),
    path('photostream/', views.PhotosList.as_view(), name='photos_url'),
    path('albums/<path:album_slug>/<filename:photo_slug>', views.PhotoDetail.as_view(), name='photo_url'),
    path('albums/<path:album_slug>/', views.AlbumDetail.as_view(), name='album_url'),
    path('albums/', views.AlbumsList.as_view(), name='albums_url'),
    path('<path:redir_path>/', views.redirect_to_album, name='redirect_to_album'),
]
